;===========================================================================
; RSEditor constants
;===========================================================================

GWL_EDITORDATA			Equ		0


;===========================================================================
; RSEditor structures
;===========================================================================

LINE Struct
	lpszText			LPLONG 		?
	lLength 			LONG 		?
	lMaxLength			LONG		?
	lState				LONG		?
LINE EndS

EDITCHILD Struct
	hWnd				HWND		?
	hWndVScroll			HWND		?
	bNoSelection		BOOL		?
	lCurCol				LONG		?
	lCurLine			LONG		?
	lLastCol			LONG		?
	lPaint				LONG		?
	lRealCol			LONG		?
	lSelStart			LONG		?
	lTopLine			LONG		?
	lTopLineIndex		LONG		?
	lVScrollPage		LONG		?
	rc					RECT		<?>
	chrPos				RSSCHARSEL 	<?>
	chrSel				RSSCHARSEL 	<?>
EDITCHILD EndS

EDITPARENT Struct
	hWnd				HWND		?
	hWndParent			HWND		?
	Editor				EDITCHILD	<?>
	Mirror				EDITCHILD	<?>
	hWndFocus			HWND		?
	hWndGrip			HWND		?
	hWndHScroll			HWND		?
	hWndNoGrip			HWND		?
	hWndSplitter		HWND		?
	hWndTimer			HWND		?
	bAutoIndent			BOOL		?
	bBigEndian			BOOL		?
	bCaret				BOOL		?
	bChangeEvent		BOOL		?
	bHideGrip			BOOL		?
	bHideSelection		BOOL		?
	bHScrollChanged		BOOL		?
	bInsert				BOOL		?
	bModified			BOOL		?
	bReadOnly			BOOL		?
	bRedraw				BOOL		?
	bTabToSpaces		BOOL		?
	bTextUnicode		BOOL		?
	bTextUnicodeUTF8	BOOL		?
	lCaretWidth			LONG		?
	lCtrlID				LONG		?
	lHScrollMax			LONG		?
	lHScrollPage		LONG		?
	lHScrollPos			LONG		?
	lLastUndoCount		LONG		?
	lLines				LONG		?
	lMarginWidth		LONG		?
	lMaxIndex			LONG		?
	lMaxLines			LONG		?
	lMaxTextLength		LONG		?
	lMaxUndo			LONG		?
	lMouseWheelUnits	LONG		?
	lVScrollCounter		LONG		?
	uVScrollTimer		UINT		?
	lTabSize			LONG		?
	lUndoCount			LONG		?
	dwEventMask			DWord		?
	hHeap				HANDLE		?
	lpszBuffer			LPSTR		?
	lpszLine			LPSTR		?
	lpszNextText		LPSTR		?
	lpLinesPointer		LPLONG		?
	lpTextPointer		LPLONG		?
	lpUndoPointer		LPLONG		?
	RSIsAlphaProcAddr	WNDPROC		?
	hFont				HFONT		?
	hBackBrush			HBRUSH		?
	hLockedBrush		HBRUSH		?
	hMarginBrush		HBRUSH		?
	hSelectBrush		HBRUSH		?
	hMem				HDC			?
	hBitmap				HBITMAP		?
	rc					RECT		<?>
	szFont				SIZEL		<?>
	crBackColor			COLORREF	?
	crTextColor 		COLORREF	?
	crBackSelect 		COLORREF	?
	crTextSelect 		COLORREF	?
	crBackMargin		COLORREF	?
	crBackLocked		COLORREF	?
	crTextLocked		COLORREF	?
EDITPARENT EndS

EDITUNDO Struct
	lpszText			LPSTR		?
	lTopLine			LONG		?
	chrPos				RSSCHARSEL	<?>
EDITUNDO EndS
